<template />

<script>
// https://maplibre.org/maplibre-gl-js-docs/api/markers/#fullscreencontrol

import {
  propsControl,
  propsControlFullscreen
} from './shared/props.js'

export const opts = Object.assign({},
  propsControl,
  propsControlFullscreen
)
</script>

<script setup>
import { FullscreenControl } from 'maplibre-gl'
import { setupControl } from './shared/setup.js'
import { eventsControl, eventsFullscreen } from './shared/events.js'

const props = defineProps(opts)
const emit = defineEmits(eventsControl)
const { control } = setupControl(FullscreenControl, props, emit, eventsFullscreen)

defineExpose({ control })
</script>
